"""Spectrum

Revision ID: 6d346b89bea8
Revises: aac186760633
Create Date: 2021-11-17 15:16:35.787321

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "6d346b89bea8"
down_revision = "aac186760633"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "spectrum",
        sa.Column("id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("smiles", sa.String(), nullable=False),
        sa.Column("cfm_predict_hash", sa.String(), nullable=False),
        sa.Column(
            "spectrum_metadata", postgresql.JSONB(astext_type=sa.Text()), nullable=True
        ),
        sa.Column(
            "peaks_json", postgresql.ARRAY(sa.Float(), dimensions=2), nullable=True
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(
        op.f("ix_spectrum_cfm_predict_hash"),
        "spectrum",
        ["cfm_predict_hash"],
        unique=False,
    )
    op.create_index(op.f("ix_spectrum_id"), "spectrum", ["id"], unique=False)
    op.create_index(op.f("ix_spectrum_smiles"), "spectrum", ["smiles"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_spectrum_smiles"), table_name="spectrum")
    op.drop_index(op.f("ix_spectrum_id"), table_name="spectrum")
    op.drop_index(op.f("ix_spectrum_cfm_predict_hash"), table_name="spectrum")
    op.drop_table("spectrum")
    # ### end Alembic commands ###
